﻿using System;
using System.Windows;
using System.Windows.Data;

namespace XamGridWPFReporting
{
    [ValueConversion(typeof(decimal), typeof(object))]
    public class NestedMargin : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
                return Binding.DoNothing;

            if (parameter != null && parameter.ToString() == "cvp")
                return new Thickness((((int)value / 2) * 17), 0, 0, 0);
            else
                return -((int)value / 2) * 22;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
